<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style> 
 .fondo{
 	background:grey;
 	width: 500px;
 	height:600px;
 	border:1px black solid;

 	
 }
.negro{
	background-color: black;
	width: 10px;
	height:10px;
	position:absolute;
	top:200px;
	left:200px;

}

.rojo{
	background-color:red;
	width: 10px;
	height:10px;
	position:absolute;
	left:200px;
	top:300px;
}

.contador{
	background:grey;
 	width: 500px;
 	height:100px;
 	border:1px black solid;
 	position:absolute;
	top:600px;	
}

.n{ width:60px;
	height:60px;
	font-size:large;
	font-weight: bold;
	color:black;
	z-index: 500;
	position: relative; 
 }
	</style>

	<script type="text/javascript">
		
      window.addEventListener("load",()=>{

      	    let rojos=document.querySelectorAll('.rojo');
      	    let acumulador=document.querySelector('.n');


			let direccion="izquierda";
			let cursor=document.querySelector(".negro");
			
			cursor.style.left="200px";
			
			cursor.style.top="200px";
			
			window.addEventListener("keydown",(e)=>{

			


				switch (e.keyCode) {
					case 37:
						direccion="izquierda";
						break;
					case 39:
						direccion="derecha";
						break;
					case 38:
						   direccion="abajo";
						break;
					case 40:
						  direccion="arriba";
						break;
					
				}

			});

			setInterval(() => {
				switch(direccion){
					case 'izquierda':

                            if(cursor.style.left==0+'px'){
                             
                            window.location="1.html";
                         }
                             else{
						  cursor.style.left=parseInt(cursor.style.left)-2+"px";

                           
                       };
						break;

					case 'derecha':
                            
                            if(cursor.style.left==500+'px'){
                             
                            window.location="1.html";
                         }
                             else{


						cursor.style.left=parseInt(cursor.style.left)+2+"px";

					};
						break;
			
                   case 'arriba':

                                                         
                            if(cursor.style.top==600+'px'){
                             
                            window.location="1.html";
                         }
                             else{

                           cursor.style.top=parseInt(cursor.style.top)+1+"px";	
                           };			
                        break;
                    case 'abajo':
                                
                            if(cursor.style.top==0+'px'){
                             
                            window.location="1.html";
                         }
                             else{

                           cursor.style.top=parseInt(cursor.style.top)-1+"px"; 
                           };   
                        break;
				}
                       
                      for(let i=0;i<rojos.length;i++){
                      
                              
				   if(cursor.style.top==rojos[i].style.top&&cursor.style.left==rojos[i].style.left) {
                       console.log(acumulador.innerHTML);
                      acumulador.innerHTML=2;

				   };


                      };




			  
			}, 100);


	               

		});
		



	</script>
</head>
<body>

	<div class= "fondo"></div>
	<div class="negro"></div>
	<div class="rojo"></div>
	<div class="contador"></div>
	<div class="n">1</div>
	
</body>
</html>